summaryrefslogtreecommitdiffstats
path: root/stap-start-server
diff options
context:
space:
mode:
authorDave Brolley <brolley@redhat.com>2008-07-29 13:40:08 -0400
committerDave Brolley <brolley@redhat.com>2008-07-29 13:40:08 -0400
commit0e47827d5f461ceb0e67540adba7bc2fe3a360da (patch)
tree804fe937a06c7ee71ec6d438d8d8bf6d1a70f32d /stap-start-server
parentb1af668d224b0673f27f991a77455d6e0ecb6891 (diff)
downloadsystemtap-steved-0e47827d5f461ceb0e67540adba7bc2fe3a360da.tar.gz
systemtap-steved-0e47827d5f461ceb0e67540adba7bc2fe3a360da.tar.xz
systemtap-steved-0e47827d5f461ceb0e67540adba7bc2fe3a360da.zip
Ensure that a systemtap server is available if 'server' is specified
in EXTRA_TOOL_OPTS for 'make check' and 'make installcheck'
Diffstat (limited to 'stap-start-server')
-rwxr-xr-xstap-start-server24
1 files changed, 24 insertions, 0 deletions
diff --git a/stap-start-server b/stap-start-server
new file mode 100755
index 00000000..d143e269
--- /dev/null
+++ b/stap-start-server
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Start a systemtap server
+#
+# Copyright (C) 2008 Red Hat Inc.
+#
+# This file is part of systemtap, and is free software. You can
+# redistribute it and/or modify it under the terms of the GNU General
+# Public License (GPL); either version 2, or (at your option) any
+# later version.
+
+# This script attempts to start a systemtap server and echoes the
+# process id, if successful.
+
+# start the server
+stap-serverd </dev/null >/dev/null 2>&1 &
+server_pid=$!
+
+# Exit if the server did not start ok
+(ps | grep -q $server_pid) || exit 1
+
+# The server started ok. Echo its process id.
+echo $server_pid
+exit 0